org.apache.flume.conf

## Class FlumeConfiguration.AgentConfiguration

- java.lang.Object
- - org.apache.flume.conf.FlumeConfiguration.AgentConfiguration

- Enclosing class:
    FlumeConfiguration

      public static class FlumeConfiguration.AgentConfiguration
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,ComponentConfiguration>` | `getChannelConfigMap()`
    `Map<String,Context>` | `getChannelContext()`
    `Set<String>` | `getChannelSet()`
    `String` | `getPostvalidationConfig()`
    `String` | `getPrevalidationConfig()`
    `Map<String,ComponentConfiguration>` | `getSinkConfigMap()`
    `Map<String,Context>` | `getSinkContext()`
    `Map<String,ComponentConfiguration>` | `getSinkGroupConfigMap()`
    `Set<String>` | `getSinkgroupSet()`
    `Set<String>` | `getSinkSet()`
    `Map<String,ComponentConfiguration>` | `getSourceConfigMap()`
    `Map<String,Context>` | `getSourceContext()`
    `Set<String>` | `getSourceSet()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getChannelConfigMap

          public Map<String,ComponentConfiguration> getChannelConfigMap()

    - #### getSourceConfigMap

          public Map<String,ComponentConfiguration> getSourceConfigMap()

    - #### getSinkConfigMap

          public Map<String,ComponentConfiguration> getSinkConfigMap()

    - #### getSinkGroupConfigMap

          public Map<String,ComponentConfiguration> getSinkGroupConfigMap()

    - #### getSourceContext

          public Map<String,Context> getSourceContext()

    - #### getSinkContext

          public Map<String,Context> getSinkContext()

    - #### getChannelContext

          public Map<String,Context> getChannelContext()

    - #### getSinkSet

          public Set<String> getSinkSet()

    - #### getSourceSet

          public Set<String> getSourceSet()

    - #### getChannelSet

          public Set<String> getChannelSet()

    - #### getSinkgroupSet

          public Set<String> getSinkgroupSet()

    - #### getPrevalidationConfig

          public String getPrevalidationConfig()

    - #### getPostvalidationConfig

          public String getPostvalidationConfig()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.